Host checkboxes get cleared after action taken
Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2629

  

Description

After update to 1.8, when i check host checkbox in all hosts lists, and execute action via select action/assign organization for

example, after action complete the checkbox unchecks again. Before, the checkboxes were "sticky" and remained across actions,

which is really helpfull - for example when assigning organization/location and then changing group to multi hosts, it makes sense to

leave checkboxes on for them so you dont have to checkbox them again. Its what i would expect to be correct behavior, and i think

its why the checkboxes are there for in first place.

But, we have also bug #6655 which caused the change in 1.8 in first place, so it has to be weighted what best final state of this would

be.

Related issues:

Related to Foreman - Bug #6655: Clear _ForemanSelectedhosts cookie when an ac... Closed 07/16/2014

Associated revisions

Revision 833dcdeb - 08/28/2015 12:27 PM - Amir Fefer

Fixes #10408 - adding checkbox in hosts-index page for keeping selected hosts

History

#1 - 05/07/2015 07:44 AM - Dominic Cleal

- Related to Bug #6655: Clear _ForemanSelectedhosts cookie when an action is performed added

#2 - 08/21/2015 03:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2629 added

- Pull request deleted ()

#3 - 08/28/2015 01:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 833dcdeb33d33569f2b1e09e9e7dc6d906590d08.

#4 - 09/01/2015 04:18 AM - Dominic Cleal

- Assignee set to Amir Fefer

- translation missing: en.field_release set to 63
